aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--examplemod.ini3
-rw-r--r--installer/debian.sh12
2 files changed, 14 insertions, 1 deletions
diff --git a/examplemod.ini b/examplemod.ini
index 080dcaa..66ee92c 100644
--- a/examplemod.ini
+++ b/examplemod.ini
@@ -43,7 +43,8 @@ filename=/dev/null
[uhdoutput]
device=master_clock_rate=32768000,type=b100
-frequency=234208000
+;frequency=234208000
+channel=13C
txgain=2
; possible values : internal, external, MIMO
diff --git a/installer/debian.sh b/installer/debian.sh
index ef56107..476af99 100644
--- a/installer/debian.sh
+++ b/installer/debian.sh
@@ -61,6 +61,18 @@ fi
# Fail on error
set -e
+if [ -d dab ]
+then
+ echo -e $RED
+ echo "ERROR: The dab directory already exists."
+ echo -e $NORMAL
+ echo "This script assumes a fresh initialisation,"
+ echo "if you have already run it and wish to update"
+ echo "the existing installation, please do it manually"
+ echo "or erase the dab folder first."
+ exit 1
+fi
+
echo -e "$GREEN Updating debian package repositories $NORMAL"
sudo apt-get -y update